Summary:	xcalc application - scientific calculator for X
Summary(pl.UTF-8):	Aplikacja xcalc - kalkulator naukowy dla X
Name:		xorg-app-xcalc
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xcalc-%{version}.tar.bz2
# Source0-md5:	8a5597cb97db0dfcfef9dc7a6238d204
Source1:	xcalc.desktop
Source2:	xcalc.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xcalc is a scientific calculator desktop accessory that can emulate a
TI-30 or an HP-10C.

%description -l pl.UTF-8
xcalc to naukowy kalkulator dostępny na pulpicie, potrafiący emulować
TI-30 lub HP-10C.

%prep
%setup -q -n xcalc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xcalc.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xcalc.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xcalc
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_desktopdir}/xcalc.desktop
%{_pixmapsdir}/xcalc.png
%{_mandir}/man1/xcalc.1x*
%changelog
* Tue Jan 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xcalc.git;a=log;h=master

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 7494752
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f9ff99b
- dropped pre-cvs changelog

* Sat Nov 27 2010 Jakub Bogusz <qboosh@pld-linux.org> a6360db
- updated to 1.0.4.1

* Wed May 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 4da4c54
- updated to 1.0.3
- removed obsolete xaw patch

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c58c4b
- rel 4; xaw fix

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b8d89fe
- new

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ab4be70
- release 3

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f9ce60e
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> cd11b42
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 42325cf
- real descs from man page

* Tue Aug 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 45355dd
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5caabbc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 450ada3
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> ae1bdc1
- use individual dir, more verbose files, release 1

* Tue Feb 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 642a149
- merged xcalc.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 2b81278
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> fef9ccd
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 06747d8
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 7d45667
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> f081892
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

